Package org.eclipse.net4j.util.properties

## Class PropertiesContainerUtil

- java.lang.Object
- - org.eclipse.net4j.util.properties.PropertiesContainerUtil

-     public final class PropertiesContainerUtil
      extends java.lang.Object

  Since:
    3.15
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IRegistry<java.lang.String,​java.lang.Object>` | `getProperties​(java.lang.Object object)` |
    `static <T> T` | `getProperty​(java.lang.Object object, java.lang.String key, java.lang.Class<T> type)` |
    `static <T> T` | `getProperty​(IRegistry<java.lang.String,​java.lang.Object> properties, java.lang.String key, java.lang.Class<T> type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getProperties

          public static IRegistry<java.lang.String,​java.lang.Object> getProperties​(java.lang.Object object)

    - #### getProperty

          public static <T> T getProperty​(java.lang.Object object,
                                          java.lang.String key,
                                          java.lang.Class<T> type)

    - #### getProperty

          public static <T> T getProperty​(IRegistry<java.lang.String,​java.lang.Object> properties,
                                          java.lang.String key,
                                          java.lang.Class<T> type)